experiments.droneControl

## Class AgentModel

- java.lang.Object
- - experiments.droneControl.AgentModel

    public class AgentModel
    extends java.lang.Object

The Class AgentModel.

### Field Summary

Fields
`ModelConstruction` `modelConstruction` The model construction.

### Constructor Summary

Constructors
Constructor and Description
`AgentModel(int nbrOfPerceptions, java.lang.String Id, double precision, double incrmt, ModelConstruction typeOfModelConstruction)` Instantiates a new agent model.
`AgentModel(int nbrOfPerceptions, java.lang.String Id, double precision, double incrmt, ModelConstruction typeOfModelConstruction, int initIndice, double initValue)` Instantiates a new agent model.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `adaptLocalModel(int modelIndice, int sensibilityIndice, double incrementSign, java.lang.String[] sortedSensib, double criticity)` Adapt local model.
`java.lang.Double[]` `getLocalModel()` Gets the local model.
`java.lang.Double[]` `getMeanLocalModel()` Gets the mean local model.
`void` `stopWriting()` Stop writing.
`void` `updateModel(java.util.HashMap<java.lang.String,java.lang.Double> perceptions, java.lang.Double command, java.lang.String[] sortedSensib, java.util.HashMap<java.lang.String,java.lang.Double> sensibilities)` Update model.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### modelConstruction

    public ModelConstruction modelConstruction

The model construction.

### Constructor Detail

#### AgentModel

    public AgentModel(int nbrOfPerceptions,
                      java.lang.String Id,
                      double precision,
                      double incrmt,
                      ModelConstruction typeOfModelConstruction)

Instantiates a new agent model.

Parameters:
  `nbrOfPerceptions` - the nbr of perceptions
  `Id` - the id
  `precision` - the precision
  `incrmt` - the incrmt
  `typeOfModelConstruction` - the type of model construction

#### AgentModel

    public AgentModel(int nbrOfPerceptions,
                      java.lang.String Id,
                      double precision,
                      double incrmt,
                      ModelConstruction typeOfModelConstruction,
                      int initIndice,
                      double initValue)

Instantiates a new agent model.

Parameters:
  `nbrOfPerceptions` - the nbr of perceptions
  `Id` - the id
  `precision` - the precision
  `incrmt` - the incrmt
  `typeOfModelConstruction` - the type of model construction
  `initIndice` - the init indice
  `initValue` - the init value

### Method Detail

#### updateModel

    public void updateModel(java.util.HashMap<java.lang.String,java.lang.Double> perceptions,
                            java.lang.Double command,
                            java.lang.String[] sortedSensib,
                            java.util.HashMap<java.lang.String,java.lang.Double> sensibilities)

Update model.

Parameters:
  `perceptions` - the perceptions
  `command` - the command
  `sortedSensib` - the sorted sensib
  `sensibilities` - the sensibilities

#### adaptLocalModel

    public void adaptLocalModel(int modelIndice,
                                int sensibilityIndice,
                                double incrementSign,
                                java.lang.String[] sortedSensib,
                                double criticity)

Adapt local model.

Parameters:
  `modelIndice` - the model indice
  `sensibilityIndice` - the sensibility indice
  `incrementSign` - the increment sign
  `sortedSensib` - the sorted sensib
  `criticity` - the criticity

#### getLocalModel

    public java.lang.Double[] getLocalModel()

Gets the local model.

Returns:
  the local model

#### getMeanLocalModel

    public java.lang.Double[] getMeanLocalModel()

Gets the mean local model.

Returns:
  the mean local model

#### stopWriting

    public void stopWriting()

Stop writing.